=== modified file 'lib/lp/testing/__init__.py'
--- lib/lp/testing/__init__.py	2011-06-27 23:06:19 +0000
+++ lib/lp/testing/__init__.py	2011-07-07 20:55:58 +0000
@@ -618,6 +618,17 @@
             self._unfoldEmailHeader(expected),
             self._unfoldEmailHeader(observed))
 
+    def assertStartsWith(self, s, prefix):
+        if not s.startswith(prefix):
+            raise AssertionError(
+                'string %r does not start with %r' % (s, prefix))
+
+    def assertEndsWith(self, s, suffix):
+        """Asserts that s ends with suffix."""
+        if not s.endswith(suffix):
+            raise AssertionError(
+                'string %r does not end with %r' % (s, suffix))
+
 
 class TestCaseWithFactory(TestCase):
 

